Bug 4385 - status function from initscripts returns wrong answers
status function from initscripts returns wrong answers
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-08-05 20:51 EDT by michal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-08-06 10:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description michal 1999-08-05 20:51:18 EDT
There is a bug in status() from /etc/rc.d/init.d/functions
with such long standing that it probably aquired already
a position of a "feature". Status querries from various
scripts which use this function always return "running"
with ridiculous process id's.  This is a result of an
incorrect filtering when looking for pid with a help
of 'ps auxww'.

A trivial patch is mailed separately to avoid mangling by
Comment 1 Bill Nottingham 1999-08-06 10:04:59 EDT
fixed (albeit differently) in the latest initscripts in Raw hide.

Note You need to log in before you can comment on or make changes to this bug.